%define upstream_name    Scalar-List-Utils
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    List utilities (eg min, max, reduce)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
'List::Util' contains a selection of subroutines that people have expressed
would be nice to have in the perl core, but the usage would not really be
high enough to warrant the use of a keyword, and the size so small such
that being individual extensions would be wasteful.

By default 'List::Util' does not export any subroutines. The subroutines
defined are

* first BLOCK LIST

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.330.0-2.mga4
+ Revision: 542266
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 1.330.0-1.mga4
+ Revision: 497184
- update to 1.33

* Sun Sep 08 2013 sander85 <sander85> 1.320.0-1.mga4
+ Revision: 475912
- update to 1.32

* Fri Aug 16 2013 sander85 <sander85> 1.310.0-1.mga4
+ Revision: 466857
- update to 1.31

* Mon Aug 05 2013 sander85 <sander85> 1.300.0-1.mga4
+ Revision: 463970
- update to 1.30

* Fri Aug 02 2013 sander85 <sander85> 1.290.0-1.mga4
+ Revision: 462677
- update to 1.29

* Wed May 29 2013 jquelin <jquelin> 1.270.0-4.mga4
+ Revision: 430930
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.270.0-3.mga3
+ Revision: 405503
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.270.0-2.mga3
+ Revision: 372547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.270.0-1.mga3
+ Revision: 341875
- update to 1.27

* Mon Jun 04 2012 jquelin <jquelin> 1.250.0-1.mga3
+ Revision: 254127
- update to 1.25

* Wed May 30 2012 jquelin <jquelin> 1.230.0-7.mga3
+ Revision: 251093
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-6.mga2
+ Revision: 104952
- Rebuild for perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 1.230.0-5.mga1
+ Revision: 53702
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.230.0-4.mga1
+ Revision: 31126
- mageia rebuild
- imported package perl-Scalar-List-Utils

